/**
 * Global styles
 */
body, header, h1, nav ul {
    margin: 0px;
    padding: 0px;
}
body.fullSize {
    overflow: hidden;
}

h1 {
    font-size: 1.4em;
    font-weight: normal;
}
h2 {
    font-size: 1.2em;
    margin: 4px 0px 12px 0px;
}
h3 {
    font-size: 1.1em;
}
#content h1:first-child {
    display: none;
}
h1 > #progress {
    color: yellow;
}

a {
    text-decoration: none;
    color: #004080;
}

body {
    font-family: "Open Sans",helvetica,arial,sans-serif;
    font-size: 13px;
    color: black;
    line-height: 1.5em;
    background: url(../i/bg01.jpg) no-repeat;
    -webkit-background-size: cover;
    -moz-background-size: cover;
    -o-background-size: cover;
    background-size: cover;
}

img {
    border: none;
}

#please_wait {
    z-index: 20000;
    position: fixed;
    left: 0px;
    top: 0px;
    right: 0px;
    bottom: 0px;
    background: rgba(0, 0, 0, 0.5);
}
.lds-ellipsis {
    position: fixed;
    left: 50vw;
    top: 50vh;
    display: inline-block;
    position: relative;
    width: 64px;
    height: 64px;
}
.lds-ellipsis div {
    position: absolute;
    top: 27px;
    width: 11px;
    height: 11px;
    border-radius: 50%;
    background: #fff;
    animation-timing-function: cubic-bezier(0, 1, 1, 0);
}
.lds-ellipsis div:nth-child(1) {
    left: 6px;
    animation: lds-ellipsis1 0.6s infinite;
}
.lds-ellipsis div:nth-child(2) {
    left: 6px;
    animation: lds-ellipsis2 0.6s infinite;
}
.lds-ellipsis div:nth-child(3) {
    left: 26px;
    animation: lds-ellipsis2 0.6s infinite;
}
.lds-ellipsis div:nth-child(4) {
    left: 45px;
    animation: lds-ellipsis3 0.6s infinite;
}
@keyframes lds-ellipsis1 {
    0% {
        transform: scale(0);
    }
    100% {
        transform: scale(1);
    }
}
@keyframes lds-ellipsis3 {
    0% {
        transform: scale(1);
    }
    100% {
        transform: scale(0);
    }
}
@keyframes lds-ellipsis2 {
    0% {
        transform: translate(0, 0);
    }
    100% {
        transform: translate(19px, 0);
    }
}

/* Modal dialog */
#modalDialog {
    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    opacity: 0;
    background: rgba(128, 128, 128, 0.8);
    transition: opacity 300ms ease-in;
    -webkit-transition: opacity 300ms ease-in;
    -moz-transition: opacity 300ms ease-in;
    z-index: 32000;
}
#modalDialog > div {
    position: relative;
    width: 600px;
    max-width: 80%;
    background: #fff;
    margin: 10% auto;
    border-radius: 4px;
    box-shadow: 0px 0px 16px black;
    max-height: 80%;
    overflow: auto;
}
#modalDialog[data-type="info_wide"] > div {
    width: 80%;
}
#modalDialog[data-type="warning"] > div {
    background: #ffffe0;
}
#modalDialog[data-type="error"] > div {
    background: #ffe0e0;
}
#modalDialog a.close {
    float: right;
    margin: 16px 16px 0px 0px;
    padding: 0px 5px;
    font-size: 15px;
    border: 1px solid #1c94c4;
    border-radius: 2px;
}
#modalDialog a.close:hover {
    background: #1c94c4;
    border: 1px solid black;
    color: white;
}
#modalDialog button.close {
    margin-bottom: 16px;
}
#modalDialog .text_content {
    padding: 32px 24px 32px 24px;
}
#modalDialog p {
    margin-top: 16px;
}
#modalDialog ul {
    list-style: square;
    margin-left: 26px;
}
#modalDialog #eventInfo ul {
    margin-left: 0px;
}

::-webkit-scrollbar {
    width: 20px;
    background: #0E2D4D;
}
::-webkit-scrollbar-thumb {
    background: #575b66;
    border: 6px solid #0E2D4D;
}
::-webkit-scrollbar-thumb:hover {
    background: #bdbec0;
}
::-webkit-file-upload-button {
    padding: 8px;
}

.msgError {
    background: #ff4040;
    color: white;
    padding: 12px 12px 12px 64px;
    min-height: 32px;
    -webkit-border-radius: 2px;
    -moz-border-radius: 2px;
    border-radius: 2px;
}
.msgWarning {
    background: #ffa00f;
    color: white;
    padding: 12px 12px 12px 64px;
    min-height: 32px;
    -webkit-border-radius: 2px;
    -moz-border-radius: 2px;
    border-radius: 2px;
}
.msgInfo {
    background: #65ab3e;
    color: white;
    padding: 12px 12px 12px 64px;
    min-height: 32px;
    -webkit-border-radius: 2px;
    -moz-border-radius: 2px;
    border-radius: 2px;
}
.msgBox > svg.icon {
    position: absolute;
    font-size: 24px;
    margin-left: -48px;
}
i.fa,
span.fa,
svg.svg-inline--fa {
    min-width: 17.5px;
    min-height: 14px;
    display: inline-block;
}

.w100perc {
    width: 100%;
}
table.report table,
table.report th,
table.report td {
    border-collapse: collapse;
    border: none;
}
table.report th,
table.report td {
    padding: 2px 4px;
    border-bottom: 1px solid #e0e0e0;
    border-right: 1px solid #e0e0e0;
}

.frRed {
    border: 1px solid red;
    color: red;
}
.bkRed {
    background: red;
    color: white;
}
.bkNavy {
    background: navy;
    color: white;
}
.bkYellow {
    background: yellow;
    color: black;
}
.bkGreen {
    background: green;
    color: white;
}
.bkOrange {
    background: orange;
    color: white;
}
.bkLightRed {
    background: #f0d0d0;
    color: black;
}
.bkLightGray {
    background: #f0f0f0;
    color: black;
}
.bkLightGreen {
    background: #f0fff0;
    color: black;
}
.bkLightYellow {
    background: #fffff5;
    color: black;
}
.red {
    color: red;
}
.green {
    color: green;
}
.blue {
    color: blue;
}
.navy {
    color: navy;
}
.orange {
    color: orange;
}
.silver {
    color: silver;
}
.gray {
    color: gray;
}

.loginForm {
    width: 300px;
    max-width: 100%;
    margin: 64px auto;
    border: 4px solid #1b2272;
    background: #e0f0ff;
    padding: 32px;
    border-radius: 8px;
    opacity: 0.8;
}
.loginForm label {
    padding: 4px 0px;
    display: block;
}
form#login #adminAuthResult[data-status="OK"] {
    background: green;
    color: white;
    padding: 12px;
    margin: 10px 0px 4px 0px;
    text-align: left;
    border-radius: 3px;
}
form#login #adminAuthResult[data-status="ERROR"] {
    background: #800000;
    color: white;
    padding: 12px;
    margin: 10px 0px 4px 0px;
    text-align: left;
    border-radius: 3px;
}
form#login input[type="submit"] {
    width: 100%;
}
.login input[type="submit"],
.login .submit {
    width: 195px;
}
.login input[type="text"],
.login input[type="password"] {
    width: 180px;
}
.form input[type="file"] {
    margin-top: 4px;
}
.form input[type="file"] {
    margin-top: 4px;
}
.form input[type="file"] + .result {
    margin-top: 4px;
}
.form input[name="datum"],
.form input[name="start"] {
    width: 64px;
}
.form .data > label {
    margin-right: 8px;
}
.form .container > .ele > .data {
    float: left;
    width: calc(100% - 210px);
}
.form .container > .ele.noLabel > .data { width: 100%; }
.form .data .prefix a {
    color: white;
}
.form .data .prefix {
    display: inline-block;
    background: silver;
    color: white;
    padding: 5px;
    min-width: 16px;
    text-align: center;
    border-top: 2px solid silver;
    border-top-left-radius: 2px;
    border-bottom-left-radius: 2px;
    height: 31px;
    box-sizing: border-box;
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
    vertical-align: -1px;
}
.form input.previewAreaTitle {
    width: 150px;
}
.form input.previewAreaIdTheaterSeat {
    width: 72px;
}
.form .ele > .end {
    clear: both;
}
form dd {
    margin: 0px;
}
input.selRow,
input.selAll {
    zoom: 1.4;
    margin: 0px 2px 0px 0px;
    filter: grayscale(100%);
}

.filterBar,
.filterBar {
    background: #f0f0f0;
    padding: 8px;
    border-left: 4px solid #40a6c0;
    margin-bottom: 16px; /*font-size: 0.9em;*/
}
#content.fullSize .filterBar,
#content.fullSize .filterBar {
    margin-bottom: 0px;
}
.filterBar input {
    font-size: 13px;
}
.filterBar select {
    font-size: 13px;
    height: 33px;
    vertical-align: 1px;
}
.filterBar input[type="text"] {
    width: 150px;
}
.filterBar input[type="text"].date {
    width: 80px;
}
.filterBar input[type="submit"] {
    background: gray;
    padding: 9px 6px 7px 6px;
    border-radius: 2px;
    line-height: 1em;
}
.filterBar input[type="submit"]:hover {
    background: silver;
}
.filterBar input[type="checkbox"] {
    zoom: 1.4;
    margin: 0px 2px 0px 0px;
    filter: grayscale(100%);
    vertical-align: -2px;
}
.filterBar select {
    padding: 5px 4px;
}

/*input[type=button],input[type=submit],.event_button {
    height: 26px;
    text-align: center;
}*/
a.button {
    display: inline-block;
    padding: 4px;
}
button,
.input[type="button"],
input[type="submit"],
a.button,
.event_button {
    background: #0E4D8D;
    border: 0px none;
    padding: 10px 10px;
    color: white;
    border-radius: 3px;
    line-height: 1.1em;
}
button:hover,
.input[type="button"]:hover,
input[type="submit"]:hover,
.event_button:hover,
a.button:hover {
    background: #4E8DbD;
}
button:active,
.input[type="button"]:active,
input[type="submit"]:active,
.event_button:active {
    position: relative;
    top: 1px;
}
input:focus,
input,
a:focus,
span:focus,
select:focus {
    outline-width: 0px;
}
.readOnly,
input[readonly="readonly"] {
    background: #ffffcc;
}
input,
textarea,
select,
button {
    font-family:  "Open Sans",helvetica,arial,sans-serif;
    font-size: 13px;
}
select {
    font-family:  "Open Sans",helvetica,arial,sans-serif;
    padding: 8px 5px 6px 5px;
    border: 1px solid silver;
    margin-top: 1px;
    margin-bottom: 1px;
    box-shadow: rgba(0, 0, 0, 0.2) 0px 0px 12px;
    border-radius: 2px;
    margin-right: 6px;
    font-size: 13px;
}
span.select2.select2-container {
    margin-right: 6px;
}

input[type="text"],
input[type="numeric"],
input[type="password"],
input[type="button"] {
    padding: 8px 5px 6px 5px;
    border: 1px solid silver;
    margin-top: 0px;
    outline: none;
    margin-bottom: 1px;
    margin-right: 6px;
    border-radius: 2px;
}
input[type="color"] {
    border: 1px solid silver;
    margin-top: 0px;
    outline: none;
    margin-bottom: 1px;
    margin-right: 6px;
    border-radius: 2px;
}
input[type="number"] {
    padding: 8px 2px 6px 2px;
    border: 1px solid silver;
    margin-top: 1px;
    margin-bottom: 1px;
    margin-right: 6px;
    border-radius: 2px;
}
input[type="date"],
input[type="datetime-local"] {
    padding: 8px 2px 6px 8px;
    border: 1px solid silver;
    margin-top: 1px;
    margin-bottom: 1px;
    margin-right: 6px;
    border-radius: 2px;
    min-width: 128px;
}

input[type="numeric"],
input[type="number"] {
    width: 72px;
    text-align: right;
}
input[type="text"] {
    width: 50%;
}

select:focus,
input[type="text"]:focus,
input[type="number"]:focus,
input[type="date"]:focus,
input[type="datetime-local"]:focus,
input[type="button"]:focus,
input[type="submit"]:focus {
    outline-color: #9ecaed;
    outline-width: 1px;
}
select + span.select2:focus,
select + span.select2 *:focus {
    outline-color: #9ecaed;
    outline-width: 1px;
}

hr {
    border: 0px none;
    color: silver;
    background-color: silver;
    height: 1px;
    margin-bottom: 4px;
}

p.paragraph {
    margin-bottom: 15px;
}

div.spacer {
    height: 15px;
}

.grid2_1 {
    display: inline;
    float: left;
    position: relative;
    width: 50%;
    margin-left: 0px;
    padding-right: 3%;
    box-sizing: border-box;
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
}
.grid2_2 {
    display: inline;
    float: left;
    position: relative;
    width: 50%;
    margin-left: 0px;
    padding-right: 0px;
    box-sizing: border-box;
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
}
.grid3_1 {
    display: inline;
    float: left;
    position: relative;
    width: 33%;
    margin-left: 0px;
    padding-right: 0.3%;
    box-sizing: border-box;
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
}
.grid3_2 {
    display: inline;
    float: left;
    position: relative;
    width: 33%;
    margin-left: 0px;
    padding-right: 0.3%;
    box-sizing: border-box;
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
}
.grid3_3 {
    display: inline;
    float: left;
    position: relative;
    width: 34%;
    margin-left: 0px;
    padding-right: 0px;
    box-sizing: border-box;
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
}
.grid3_12 {
    display: inline;
    float: left;
    position: relative;
    width: 66%;
    margin-left: 0px;
    padding-right: 1%;
    box-sizing: border-box;
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
}
.grid3_23 {
    display: inline;
    float: left;
    position: relative;
    width: 66%;
    margin-left: 0px;
    margin-right: 0px;
    word-wrap: break-word;
    box-sizing: border-box;
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
}
.grid4_1 {
    display: inline;
    float: left;
    position: relative;
    width: 213px;
    margin-left: 0px;
    margin-right: 16px;
    box-sizing: border-box;
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
}
.grid4_234 {
    display: inline;
    float: left;
    position: relative;
    width: 639px;
    margin-left: 0px;
    margin-right: 0px;
    word-wrap: break-word;
    box-sizing: border-box;
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
}

/* Awesome */

.btn-group {
    position: relative;
    display: inline-block;
    vertical-align: middle;
    font-size: 13px;
    margin-right: 8px;
}
.btn {
    display: inline-block;
    margin-bottom: 0;
    font-weight: normal;
    text-align: center;
    vertical-align: middle;
    cursor: pointer;
    background-image: none;
    border: 1px solid transparent;
    white-space: nowrap;
    padding: 4px 8px;
    font-size: 13px;
    line-height: 1.42857143;
    border-radius: 0px;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    box-shadow: inset 0 1px 0 rgba(255, 255, 255, 0.2);
}

.btn-default {
    text-shadow: 0 1px 0 #fff;
    color: #333333;
    background-color: #ffffff;
    border-color: #cccccc;
}
.btn-sm {
    border-radius: 4px;
}
.btn-group > .btn:first-child {
    margin-left: 0;
}
.btn-group > .btn:first-child:not(:last-child):not(.dropdown-toggle) {
    border-bottom-left-radius: 4px;
    border-top-left-radius: 4px;
}
.btn-group > .btn:last-child:not(:first-child):not(.dropdown-toggle) {
    border-bottom-right-radius: 4px;
    border-top-right-radius: 4px;
}
.btn-group .btn + .btn,
.btn-group .btn + .btn-group,
.btn-group .btn-group + .btn,
.btn-group .btn-group + .btn-group {
    margin-left: -1px;
}
.btn-group > .btn,
.btn-group-vertical > .btn {
    position: relative;
    float: left;
}
.btn-default:hover,
.btn-default:active,
.btn-default.active,
.open > .dropdown-toggle.btn-default {
    color: #333333;
    background-color: #e6e6e6;
    border-color: #adadad;
}

.btn:hover,
.btn:focus {
    color: #333333;
    text-decoration: none;
}

/*
 * jQuery Ui customization
 */
/*body .ui-widget {
    font-size: 11px;
}*/

body ul.ui-autocomplete {
    width: 496px;
    max-height: 230px;
    overflow-y: auto;
    overflow-x: hidden;
}

/* for long lists add scrollbar */
body ul.ui-autocomplete li.ui-menu-item a {
    width: 496px;
    height: 20px;
    overflow: hidden;
}

/* UI customization */
.ui-widget-header {
    border: 1px solid #1b2272;
    background: black;
}
.ui-state-active,
.ui-widget-content .ui-state-active,
.ui-widget-header .ui-state-active {
    border: 1px solid #1b2272;
}
.ui-state-active a,
.ui-state-active a:link,
.ui-state-active a:visited {
    color: #1b2272;
}

/* Visibility */
.hidden {
    display: none;
}

/* Floating */
.clear {
    clear: both;
}

.left {
    float: left;
}

.right {
    float: right;
}

/* Font decorations */
.bold {
    font-weight: bold;
}

/* Text align */
.text_center {
    text-align: center;
}

.text_left {
    text-align: left;
}

.text_right {
    text-align: right;
}

.fa-left {
    margin-right: 4px;
}

/* Tables */
th {
    text-align: left;
}
table.table {
    border-spacing: 0;
    border-collapse: collapse;
    width: 100%;
    margin-top: 4px;
}
table.table th {
    background: #f0f0f0;
    color: black;
    padding: 6px 4px;
    border-top: 4px solid white;
    border-bottom: 2px solid #40a6c0;
    font-weight: bold;
}
table.table tr th:first-child {
    border-top-left-radius: 8px;
    border-bottom-left-radius: 0px;
}
table.table tr th:last-child {
    border-top-right-radius: 8px;
    border-bottom-right-radius: 0px;
}
table.table td {
    padding: 6px 4px 4px 4px;
    border-bottom: 1px solid #e0f0ff;
}
table.table td.controls {
    white-space: nowrap;
}
table.table tr:hover {
    background: #fafafa;
}
table.table svg {
    font-size: 13px;
}
table.table .left_border,
table.table .borderLeft {
    border-left: 2px solid #889fac;
}
table.table .borderRight {
    border-right: 2px solid #889fac;
}
table.simple {
    border-spacing: 0;
    border-collapse: collapse;
}
table.simple th {
    padding: 2px 4px;
    font-weight: bold;
}
table.simple td {
    padding: 4px;
}
td > input[type="number"],
td > input[type="text"] {
    width: 100%;
    box-sizing: border-box;
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
}
.w25perc {
    width: 25%;
}

table.table a.toolButton svg {
    vertical-align: -2px;
}
table.table a.toolButton {
    margin: 0px 2px 2px 0px;
    border-radius: 3px;
    background: #4f188c;
    color: white;
    padding: 4px 4px;
}
a.addButton {
    background: #184f8c;
    color: white;
}
a.addButton:hover {
    background: #488fbc;
}
table.table tr a.toolButton {
    opacity: 1;
}
table.table tr:hover a.toolButton {
    opacity: 0.5;
}
table.table a.editButton {
    background: #4f8c18;
    color: white;
}
table.table a.copyButton {
    background: #ffa00f;
    color: white;
}
table.table a.deleteButton {
    background: #af0c08;
    color: white;
}
div#title[data-action="add"] {
    background: #c8effc;
    color: black;
}
div#title[data-action="edit"] {
    background: #effcc8;
    color: black;
}
div#title[data-action="copy"] {
    background: #fff06f;
    color: black;
}
div#title[data-action="delete"] {
    background: #ffccc8;
    color: black;
}

a.button.toolButton {
    margin: 0px 4px 4px 0px;
}
.toolButton {
    margin: 0px 4px 4px 0px;
}
button[name="ButtonCancel"],
a[name="ButtonCancel"] {
    background: gray;
}
button[name="ButtonCancel"]:hover,
a[name="ButtonCancel"]:hover {
    background: silver;
}
div.labelBox,
span.labelBox {
    font-size: 0.8em;
    padding: 0px 2px;
    border-radius: 0px;
}
span.labelBox {
    display: inline-block;
    margin-top: 2px;
    margin-bottom: 2px;
}

.form .container {
    padding: 0px 10px 10px 10px;
}
.form .ele > .label {
    float: left;
    width: 150px;
    text-align: right;
    padding-right: 10px;
    margin-top: 4px;
}
.form .ele > label.fixed {
    min-width: 80px;
    display: inline-block;
    text-align: right;
}
.form .ele {
    margin-bottom: 4px;
}
.form input[name="subject"],
.form input[name="hall_Name"],
.form input[name="hall_WWW"],
.form input[name="hall_TEL"],
.form input[name="hall_EMAIL"],
.form input[name="hall_FAX"],
.form input[name="lat"],
.form input[name="lon"],
.form input[name="hall_City"],
.form input[name="hall_Country"],
.form input[name="event_Promoter"] {
    max-width: 200px;
}
.form input[name="hall_ZIP"],
.form input[name="district_code"] {
    width: 64px;
}
.form input[name="hall_Shortcut"] {
    width: 24px;
}
.form textarea {
    width: 50%;
    height: 64px;
    padding: 4px 5px 4px 5px;
}
.form select {
    min-width: 200px;
}
.form hr {
    margin: 12px 0px;
}

div.prefix,
div.suffix {
    display: inline-block;
    vertical-align: top;
}

.loginForm .errorMessage {
    background: orange;
    color: white;
    margin-top: 16px;
    padding: 12px;
}

/* Skeleton */
body {
    overflow-x: hidden;
}

#eHMenuMini {
    display: none;
    text-align: center;
    line-height: 1.4em;
    color: black;
    cursor: pointer;
    vertical-align: -8px;
    padding-top: 4px;
}
nav {
    border-bottom: 0px solid #3af5da;
    color: white;
    background: #0E2D4D;
    position: fixed;
    left: 0px;
    top: 0px;
    bottom: -17px;
    width: 220px;
    overflow: scroll;
    padding: 8px;
}
nav img.logo {
    vertical-align: -10px;
}
div#lang_selector {
    position: absolute;
    right: 4px;
    top: 12px;
    padding: 0px;
}
div#lang_selector ul {
    display: inline-block;
    vertical-align: -4px;
    padding: 0px;
}
div#lang_selector li {
    display: inline-block;
    margin: 0 0 0 2px;
}
div#lang_selector a {
    color: black;
    text-decoration: none;
}
nav a,
footer a {
    color: white;
    text-decoration: none;
}
header {
    padding-left: 235px;
    position: relative;
    border-bottom: 0px solid black;
    color: black;
    background: white;
    min-height: 44px;
    box-shadow: 0px 0px 1px black;
}
#title {
    display: block;
    padding: 12px 14px;
}
footer {
    position: fixed;
    bottom: 0px;
    width: 100%;
    left: 235px;
    width: calc(100% - 235px);
    background: #575b66;
    color: white;
    box-shadow: 0px 0px 16px black;
}
footer .copyright {
    position: absolute;
    right: 4px;
    bottom: 0px;
    font-size: 0.85em;
    color: silver;
}
footer .copyright img {
    width: 64px;
    vertical-align: -4px;
}
div#container {
    padding-left: 235px;
    width: calc(100% - 235px);
}
div#content {
    float: right;
    display: block;
    min-height: 400px;
    padding: 12px 12px 40px 12px;
    width: calc(100% - 240px);
    background: white;
    box-sizing: border-box;
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
    overflow-x: auto;
}
div#content.fullSize {
    padding: 0px;
    margin-bottom: 0px;
}
div#content.transparent {
    background: none;
}
div#content.full {
    float: none;
    width: 100%;
    padding-bottom: 80px;
}
#content ul.menu {
    background: rgba(255, 255, 255, 0.5);
    padding: 16px 0px 16px 40px;
}
.padding10 {
    padding: 10px;
}

/* Menu */
nav #btadmin img {
    height: 30px;
    vertical-align: -10px;
}
nav ul.menu {
    list-style: none;
    padding: 4px 0px 4px 0px;
    margin: 0px;
}
nav ul.menu li {
    list-style: none;
    padding: 0px;
    margin: 0px;
    border: 0px none;
}
nav ul.menu li a {
    display: block;
    padding: 3px 6px;
    margin: 0px;
    color: white;
    border: 0px none;
}
nav ul.menu li a:hover,
ul.menu li a.selected {
    background: white;
    color: black;
    border-radius: 2px;
}
nav > ul.menu > li {
    border-bottom: 1px solid silver;
    margin-bottom: 4px;
    padding-bottom: 4px;
}
nav > ul.menu > li > a {
    font-weight: bold;
    font-size: 1.2em;
}
nav > ul.menu > li > ul {
    margin-top: 0px;
    display: block;
    z-index: 10000;
    padding: 4px 0px 2px 16px;
}
nav > ul.menu > li > ul > li {
    display: block;
}
nav > ul.menu > li > ul > li > a {
    display: block;
    float: none;
    text-align: left;
    margin-bottom: 2px;
}

.fullSizeContainer {
    position: fixed;
    left: 236px;
    right: 0px;
    top: 46px;
    bottom: 58px;
}
#left_container {
    display: block;
    float: left;
    width: 200px;
    min-height: 1000px;
    background: #fcfcff;
    padding: 6px;
    box-shadow: 0px 0px 8px gray;
    background: #fcfcff;
}

.widget i.expand {
    float: right;
    padding: 4px;
    color: white;
}

.widget > .caption {
    background: #1b2272;
    background: black;
    color: white;
    font-weight: bold;
    padding: 4px 8px 4px 8px;
    cursor: pointer;
}

.widget button {
    margin-bottom: 2px;
    text-align: left;
}

/* Ticket editor */
canvas {
    width: 100%;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    border: 1px solid silver;
    border-radius: 0px;
    outline: none;
    -webkit-tap-highlight-color: rgba(255, 255, 255, 0);
}
canvas#viewport:focus {
    border: 1px solid black;
}

#previewAreasPreviewCanvas canvas {
    width: auto;
}

#ticketEditor,
#advertEditor,
#documentEditor {
    margin-top: 16px;
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

.reportEditor .scene {
    background: white;
    float: left;
    margin-right: 10px;
    margin-bottom: 10px;
    border: 1px solid gray;
    box-shadow: 0 3px 10px #757272;
}

#toolbar_zone .toolbar {
    margin-top: 8px;
}
#toolbar_zone .toolbar .content {
    padding: 8px;
}

#toolbar_zone .toolbar > div {
    border: 1px solid #c08df2;
    margin-bottom: 4px;
    border-radius: 2px;
}

#toolbar_zone .toolbar button {
    width: 100%;
    padding: 6px;
}

#toolbar_zone .toolbar input[type="text"],
#toolbar_zone .toolbar input[type="file"] {
    width: calc(100% - 14px);
    padding: 6px;
    margin: 0px 0px 4px 0px;
    font-size: 11px;
    border: 1px solid gray;
}

#toolbar_zone .toolbar select {
    width: calc(100% - 2px);
    padding: 2px;
    margin: 0px 0px 4px 0px;
    font-size: 11px;
    border: 1px solid gray;
    border-radius: 0px;
}

#toolbar_zone .toolbar .select2 {
    width: calc(100% - 2px);
    margin: 0px 0px 4px 0px;
    font-size: 11px;
}

#toolbar_zone .toolbar textarea {
    height: 3.5em;
    width: calc(100% - 8px);
}

#toolbar_zone .toolbar .example {
    padding: 2px;
    font-style: italic;
    border: 1px solid gray;
    display: block;
    margin: 0px 0px 8px 0px;
}

#toolbar_zone .toolbar hr {
    margin-top: 8px;
    background: silver;
}

.toolbar div.half {
    width: calc(50% - 3px);
    float: left;
    padding-right: 3px;
}

/* Colors */
option.color {
    display: inline-block;
    width: 16px;
    height: 16px;
    border: 1px solid black;
}

option.Aqua {
    background-color: aqua;
}

option.Black {
    background-color: black;
    color: white;
}

option.Blue {
    background-color: blue;
    color: white;
}

option.Cream {
    background-color: #f0fbff;
}

option.DarkGray {
    background-color: #808080;
    color: white;
}

option.Fuchsia {
    background-color: fuchsia;
    color: white;
}

option.Gray {
    background-color: gray;
    color: white;
}

option.Green {
    background-color: green;
    color: white;
}

.bkLime,
option.LimeGreen {
    background-color: lime;
}
option.LightGray {
    background-color: lightgray;
}
option.Maroon {
    background-color: maroon;
    color: white;
}
option.MediumGray {
    background-color: #a4a0a0;
}
option.MintGreen {
    background-color: #c0dcc0;
}
option.NavyBlue {
    background-color: navy;
    color: white;
}
option.OliveGreen {
    background-color: #008080;
    color: white;
}

option.Purple {
    background-color: purple;
    color: white;
}

option.Red {
    background-color: red;
    color: white;
}

option.Silver {
    background-color: silver;
}

option.SkyBlue {
    background-color: skyblue;
}

option.Teal {
    background-color: teal;
    color: white;
}

.bkWhite,
option.White {
    background-color: white;
}

.bkYellow,
option.Yellow {
    background-color: yellow;
}

/* Hall preview */
#previewAreas input,
#previewAreas select {
    margin-right: 4px;
}
#previewAreas button {
    margin-right: 4px;
    background: #f0ffff;
    color: black;
    text-shadow: none;
    padding: 5px 8px;
}
#previewAreasList {
    margin-bottom: 8px;
}
#previewAreasAdd {
    margin-bottom: 16px;
}

/* seatEditor */
#seatEditor {
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}
#seatEditor input[type="number"] {
    width: 40px;
}

/* Print */
@media print {
    nav,
    header,
    footer {
        display: none;
    }
}

/* dashboard */
table.dashboard {
    font-size: 1.3em;
}
table.dashboard th,
table.dashboard td {
    padding: 8px 4px;
    border-bottom: 1px dotted black;
    line-height: 1.3em;
}

/* misc */
.info {
    color: #909090;
}
.bold,
.strong {
    font-weight: bold;
}
.line_through {
    text-decoration: line-through;
    color: silver;
}
.pointer {
    cursor: pointer;
    cursor: hand;
}
.h16px {
    height: 16px;
}
.ui-effects-transfer {
    border: 2px solid black;
}
.w25 {
    width: 25%;
}
.w30 {
    width: 30%;
}
.w50 {
    width: 50%;
}
.w100 {
    width: 100%;
}
#content .w64px {
    width: 64px;
}
.w72px {
    width: 72px;
}
#content .w80px {
    width: 80px;
}
.w128px {
    width: 128px;
}
.w14px {
    width: 14px;
}
.mw50 {
    max-width: 50%;
}
.mw100 {
    max-width: 100%;
}
.minw50 {
    min-width: 50%;
}
.hidden,
.alwaysHidden {
    display: none;
}
.marginLeft24 {
    margin-left: 24px;
}
.marginRight {
    margin-right: 6px;
}
.marginBottom {
    margin-bottom: 8px;
}
.noselect {
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

span.select2.select2-container.select2-container--default {
    vertical-align: -9px;
}
.select2-container--default .select2-selection--single {
    border-radius: 2px;
}
.select2-container .select2-selection--single {
    padding-top: 2px;
    height: 33px;
}
.select2-results__options::-webkit-scrollbar {
    width: 10px;
    background: #f0f0f0;
}
.select2-results__options::-webkit-scrollbar-thumb {
    background: gray;
    border: 0px none;
}

